Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356756 - custom environment selection ignored in text-mode kickstart
Summary: custom environment selection ignored in text-mode kickstart
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-15 01:20 UTC by Gabriel Somlo
Modified: 2017-08-08 15:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:37:32 UTC


Attachments (Terms of Use)
custom automated install kickstart file (deleted)
2016-07-15 01:20 UTC, Gabriel Somlo
no flags Details
shows mandatory interaction with #4 spoke after password selection (deleted)
2016-07-15 01:21 UTC, Gabriel Somlo
no flags Details

Description Gabriel Somlo 2016-07-15 01:20:15 UTC
Created attachment 1180007 [details]
custom automated install kickstart file

Description of problem:

When kickstarting a custom F24 machine in text mode, I am forced to manually select the "base environment" in spite of having specified "@^custom-environment" in the %packages section

Version-Release number of selected component (if applicable):

24.13.7

How reproducible:

Kickstart custom F24 install using attached cust-vm-24.ks; Noice forced "Software selection" spoke, which insists on making user choose a base environment.

Steps to Reproduce:
1. kickstart from attachedk cust-vm-24.ks
2. at first prompt, pick 7 for entering root password
3. instead of beginning the install, notice that now #4 (Software selection) contains an exclamation mark, although "custom software selected" is already shown
4. select #4, then pick "Fedora Custom Operating System", then 'c' to continue, then 'b' to begin, before being allowed to continue the installation

Actual results:

user is forced to select #4 (software selection), re-select "Custom Operating system", and tell the system to 'continue' and 'begin' several more times before being allowed to proceed with the automated install

Expected results:

Automated install begins immediately after password entered (since Custom OS was already specified in kickstart, via "@^custom-environment" in %packages.

Additional info:

Please see attached .ks file, and screenshot of the forced interaction with the Software selection spoke

Comment 1 Gabriel Somlo 2016-07-15 01:21:27 UTC
Created attachment 1180008 [details]
shows mandatory interaction with #4 spoke after password selection

Comment 2 Fedora End Of Life 2017-07-25 21:48:58 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-08-08 15:37:32 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.